Index: FCKeditor/trunk/_whatsnew.html
===================================================================
--- FCKeditor/trunk/_whatsnew.html	(revision 2361)
+++ FCKeditor/trunk/_whatsnew.html	(revision 2362)
@@ -38,5 +38,7 @@
 		New Features and Improvements:</p>
 	<ul>
-		<li></li>
+		<li>[<a target="_blank" href="http://dev.fckeditor.net/ticket/2430">#2430</a>] In the table 
+			dialog it's possible to create header cells in the first row (included in a thead element)
+			or the first column of the table. </li>
 	</ul>
 	<p>
Index: FCKeditor/trunk/editor/dialog/common/fck_dialog_common.js
===================================================================
--- FCKeditor/trunk/editor/dialog/common/fck_dialog_common.js	(revision 2361)
+++ FCKeditor/trunk/editor/dialog/common/fck_dialog_common.js	(revision 2362)
@@ -313,2 +313,37 @@
 	oDest.style.cssText = oSource.style.cssText ;
 }
+
+/**
+* Replaces a tag with another one, keeping its contents:
+* for example TD --> TH, and TH --> TD.
+* input: the original node, and the new tag name
+* http://www.w3.org/TR/DOM-Level-3-Core/core.html#Document3-renameNode
+*/
+function RenameNode( oNode , newTag )
+{
+	// TODO: if the browser natively supports document.renameNode call it.
+	// does any browser currently support it in order to test?
+
+	// Only rename element nodes.
+	if ( oNode.nodeType != 1 ) 
+		return null ;
+
+	// If it's already correct exit here.
+	if ( oNode.nodeName == newTag )
+		return oNode ;
+
+	var oDoc = oNode.ownerDocument ;
+	// Create the new node
+	var newNode = oDoc.createElement( newTag ) ;
+
+	// Copy all attributes
+	CopyAttributes( oNode, newNode, {} ) ;
+
+	// Move children to the new node
+	FCKDomTools.MoveChildren( oNode, newNode ) ;
+
+	// Finally replace the node and return the new one
+	oNode.parentNode.replaceChild( newNode, oNode ) ;
+
+	return newNode ;
+}
Index: FCKeditor/trunk/editor/dialog/fck_table.html
===================================================================
--- FCKeditor/trunk/editor/dialog/fck_table.html	(revision 2361)
+++ FCKeditor/trunk/editor/dialog/fck_table.html	(revision 2362)
@@ -32,12 +32,11 @@
 var dialog	= window.parent ;
 var oEditor = dialog.InnerDialogLoaded() ;
-var dialogArguments = dialog.Args() ;
-
-// Gets the document DOM
-var oDOM = oEditor.FCK.EditorDocument ;
+
+var FCKDomTools = oEditor.FCKDomTools ;
 
 // Gets the table if there is one selected.
 var table ;
 var e = dialog.Selection.GetSelectedElement() ;
+var hasColumnHeaders ;
 
 if ( ( !e && document.location.search.substr(1) == 'Parent' ) || ( e && e.tagName != 'TABLE' ) )
@@ -88,4 +87,34 @@
 		var eCaption = oEditor.FCKDomTools.GetFirstChild( table, 'CAPTION' ) ;
 		if ( eCaption ) document.getElementById('txtCaption').value = eCaption.innerHTML ;
+		
+		hasColumnHeaders = true ;
+		// Check if all the first cells in every row are TH
+		for (var row=0; row<table.rows.length; row++)
+		{
+			// If just one cell isn't a TH then it isn't a header column
+			if ( table.rows[row].cells[0].nodeName != 'TH' )
+			{
+				hasColumnHeaders = false ;
+				
+				break;
+			}
+		}
+
+		// Check if the table contains <thead>
+		if ((table.tHead !== null) ) 
+		{
+			if (hasColumnHeaders)
+				GetE('selHeaders').value = 'both' ;
+			else
+				GetE('selHeaders').value = 'row' ;
+		}
+		else
+		{
+			if (hasColumnHeaders)
+				GetE('selHeaders').value = 'col' ;
+			else
+				GetE('selHeaders').value = '' ;
+		}
+
 
 		document.getElementById('txtRows').disabled    = true ;
@@ -105,6 +134,7 @@
 	var bExists = ( table != null ) ;
 
+	var oDoc = oEditor.FCK.EditorDocument ; 
 	if ( ! bExists )
-		table = oEditor.FCK.EditorDocument.createElement( "TABLE" ) ;
+		table = oDoc.createElement( "TABLE" ) ;
 
 	// Removes the Width and Height styles
@@ -130,5 +160,5 @@
 		if ( !eCaption )
 		{
-			eCaption = oEditor.FCK.EditorDocument.createElement( 'CAPTION' ) ;
+			eCaption = oDoc.createElement( 'CAPTION' ) ;
 			table.insertBefore( eCaption, table.firstChild ) ;
 		}
@@ -146,15 +176,126 @@
 	}
 
+	var headers = GetE('selHeaders').value ;
+	if ( bExists )
+	{
+		// Should we make a <thead>?
+		if ( table.tHead==null && (headers=='row' || headers=='both') )
+		{
+			var oThead = table.createTHead() ;
+			var tbody = FCKDomTools.GetFirstChild( table, 'TBODY' ) ;
+			var theRow= FCKDomTools.GetFirstChild( tbody, 'TR' ) ;
+
+			//now change TD to TH:
+			for (var i = 0; i<theRow.childNodes.length ; i++) 
+			{
+				var th = RenameNode(theRow.childNodes[i], 'TH') ;
+				if (th != null) 
+					th.scope='col' ;
+			}
+			oThead.appendChild( theRow ) ;
+		}
+
+		if ( table.tHead!==null && !(headers=='row' || headers=='both') )
+		{
+			// Move the row out of the THead and put it in the TBody:
+			var tHead = table.tHead ;
+			var tbody = FCKDomTools.GetFirstChild( table, 'TBODY' ) ;
+
+			var previousFirstRow = tbody.firstChild ;
+			while ( tHead.firstChild ) 
+			{
+				var theRow = tHead.firstChild ;
+				for (var i = 0; i < theRow.childNodes.length ; i++ ) 
+				{
+					var newCell = RenameNode( theRow.childNodes[i], 'TD' ) ;
+					if ( newCell != null ) 
+						newCell.removeAttribute( 'scope' ) ;
+				}
+				tbody.insertBefore( theRow, previousFirstRow ) ;
+			}
+			table.removeChild( tHead ) ;
+		}
+
+		// Should we make all first cells in a row TH?
+		if ( (!hasColumnHeaders)  && (headers=='col' || headers=='both') )
+		{
+			for( var row=0 ; row < table.rows.length ; row++ )
+			{
+				var newCell = RenameNode(table.rows[row].cells[0], 'TH') ;
+				if ( newCell != null ) 
+					newCell.scope = 'row' ;
+			}
+		}
+
+		// Should we make all first TH-cells in a row make TD? If 'yes' we do it the other way round :-)
+		if ( (hasColumnHeaders)  && !(headers=='col' || headers=='both') )
+		{
+			for( var row=0 ; row < table.rows.length ; row++ )
+			{
+				var oRow = table.rows[row] ;
+				if ( oRow.parentNode.nodeName == 'TBODY' )
+				{
+					var newCell = RenameNode(oRow.cells[0], 'TD') ;
+					if (newCell != null) 
+						newCell.removeAttribute( 'scope' ) ;
+				}
+			}
+		}
+	}
+
 	if (! bExists)
 	{
-		var iRows = document.getElementById('txtRows').value ;
-		var iCols = document.getElementById('txtColumns').value ;
-
-		for ( var r = 0 ; r < iRows ; r++ )
-		{
+		var iRows = GetE('txtRows').value ;
+		var iCols = GetE('txtColumns').value ;
+
+		var startRow = 0 ;
+		// Should we make a <thead> ?
+		if (headers=='row' || headers=='both')
+		{
+			startRow++ ;
+			var oThead = table.createTHead() ;
 			var oRow = table.insertRow(-1) ;
+			oThead.appendChild(oRow);
+			
 			for ( var c = 0 ; c < iCols ; c++ )
 			{
-				var oCell = oRow.insertCell(-1) ;
+				var oThcell = oDoc.createElement( 'TH' ) ; 
+				oThcell.scope = 'col' ;
+				oRow.appendChild( oThcell ) ;
+				if ( oEditor.FCKBrowserInfo.IsGeckoLike )
+					oEditor.FCKTools.AppendBogusBr( oThcell ) ;
+			}
+		}
+
+		// Opera automatically creates a tbody when a thead has been added
+		var oTbody = FCKDomTools.GetFirstChild( table, 'TBODY' ) ;
+		if ( !oTbody )
+		{
+			// make TBODY if it doesn't exist
+			oTbody = oDoc.createElement( 'TBODY' ) ; 
+			table.appendChild( oTbody ) ;
+		}
+		for ( var r = startRow ; r < iRows; r++ ) 
+		{
+			var oRow = oDoc.createElement( 'TR' ) ;
+			oTbody.appendChild(oRow) ;
+
+			var startCol = 0 ;
+			// Is the first column a header?
+			if (headers=='col' || headers=='both')
+			{
+				var oThcell = oDoc.createElement( 'TH' ) ;
+				oThcell.scope = 'row' ;
+				oRow.appendChild( oThcell ) ;
+				if ( oEditor.FCKBrowserInfo.IsGeckoLike )
+					oEditor.FCKTools.AppendBogusBr( oThcell ) ;
+
+				startCol++ ;
+			}
+			for ( var c = startCol ; c < iCols ; c++ )
+			{
+				// IE will leave the TH at the end of the row if we use now oRow.insertCell(-1) 
+				var oCell = oDoc.createElement( 'TD' ) ;
+				oRow.appendChild( oCell ) ;
 				if ( oEditor.FCKBrowserInfo.IsGeckoLike )
 					oEditor.FCKTools.AppendBogusBr( oCell ) ;
@@ -179,5 +320,5 @@
 					<tr>
 						<td valign="top">
-							<table cellspacing="0" cellpadding="0" border="0">
+							<table cellspacing="1" cellpadding="0" border="0">
 								<tr>
 									<td>
@@ -195,8 +336,13 @@
 								</tr>
 								<tr>
-									<td>
-										&nbsp;</td>
-									<td>
-										&nbsp;</td>
+									<td><span fcklang="DlgTableHeaders">Headers</span>:</td>
+									<td>
+										&nbsp;<select id="selHeaders">
+											<option fcklang="DlgTableHeadersNone" value="">None</option>
+											<option fcklang="DlgTableHeadersRow" value="row">First row</option>
+											<option fcklang="DlgTableHeadersColumn" value="col">First column</option>
+											<option fcklang="DlgTableHeadersBoth" value="both">Both</option>
+										</select>
+									</td>
 								</tr>
 								<tr>
@@ -245,10 +391,5 @@
 								</tr>
 								<tr>
-									<td>
-										&nbsp;</td>
-									<td>
-										&nbsp;</td>
-									<td>
-										&nbsp;</td>
+									<td colspan="3">&nbsp;</td>
 								</tr>
 								<tr>
Index: FCKeditor/trunk/editor/lang/_translationstatus.txt
===================================================================
--- FCKeditor/trunk/editor/lang/_translationstatus.txt	(revision 2361)
+++ FCKeditor/trunk/editor/lang/_translationstatus.txt	(revision 2362)
@@ -22,57 +22,57 @@
  */
 
-af.js      Found: 396   Missing: 24
-ar.js      Found: 411   Missing: 9
-bg.js      Found: 373   Missing: 47
-bn.js      Found: 380   Missing: 40
-bs.js      Found: 226   Missing: 194
-ca.js      Found: 420   Missing: 0
-cs.js      Found: 420   Missing: 0
-da.js      Found: 381   Missing: 39
-de.js      Found: 419   Missing: 1
-el.js      Found: 396   Missing: 24
-en-au.js   Found: 420   Missing: 0
-en-ca.js   Found: 420   Missing: 0
-en-uk.js   Found: 420   Missing: 0
-eo.js      Found: 346   Missing: 74
-es.js      Found: 420   Missing: 0
-et.js      Found: 411   Missing: 9
-eu.js      Found: 411   Missing: 9
-fa.js      Found: 413   Missing: 7
-fi.js      Found: 411   Missing: 9
-fo.js      Found: 420   Missing: 0
-fr-ca.js   Found: 419   Missing: 1
-fr.js      Found: 420   Missing: 0
-gl.js      Found: 381   Missing: 39
-gu.js      Found: 411   Missing: 9
-he.js      Found: 420   Missing: 0
-hi.js      Found: 420   Missing: 0
-hr.js      Found: 420   Missing: 0
-hu.js      Found: 411   Missing: 9
-it.js      Found: 410   Missing: 10
-ja.js      Found: 420   Missing: 0
-km.js      Found: 370   Missing: 50
-ko.js      Found: 390   Missing: 30
-lt.js      Found: 376   Missing: 44
-lv.js      Found: 381   Missing: 39
-mn.js      Found: 411   Missing: 9
-ms.js      Found: 352   Missing: 68
-nb.js      Found: 414   Missing: 6
-nl.js      Found: 420   Missing: 0
-no.js      Found: 414   Missing: 6
-pl.js      Found: 411   Missing: 9
-pt-br.js   Found: 411   Missing: 9
-pt.js      Found: 381   Missing: 39
-ro.js      Found: 410   Missing: 10
-ru.js      Found: 411   Missing: 9
-sk.js      Found: 396   Missing: 24
-sl.js      Found: 411   Missing: 9
-sr-latn.js Found: 368   Missing: 52
-sr.js      Found: 368   Missing: 52
-sv.js      Found: 409   Missing: 11
-th.js      Found: 393   Missing: 27
-tr.js      Found: 396   Missing: 24
-uk.js      Found: 397   Missing: 23
-vi.js      Found: 419   Missing: 1
-zh-cn.js   Found: 420   Missing: 0
-zh.js      Found: 420   Missing: 0
+af.js      Found: 396   Missing: 29
+ar.js      Found: 411   Missing: 14
+bg.js      Found: 373   Missing: 52
+bn.js      Found: 380   Missing: 45
+bs.js      Found: 226   Missing: 199
+ca.js      Found: 420   Missing: 5
+cs.js      Found: 420   Missing: 5
+da.js      Found: 381   Missing: 44
+de.js      Found: 419   Missing: 6
+el.js      Found: 396   Missing: 29
+en-au.js   Found: 420   Missing: 5
+en-ca.js   Found: 420   Missing: 5
+en-uk.js   Found: 420   Missing: 5
+eo.js      Found: 346   Missing: 79
+es.js      Found: 425   Missing: 0
+et.js      Found: 411   Missing: 14
+eu.js      Found: 411   Missing: 14
+fa.js      Found: 413   Missing: 12
+fi.js      Found: 411   Missing: 14
+fo.js      Found: 420   Missing: 5
+fr-ca.js   Found: 419   Missing: 6
+fr.js      Found: 420   Missing: 5
+gl.js      Found: 381   Missing: 44
+gu.js      Found: 411   Missing: 14
+he.js      Found: 420   Missing: 5
+hi.js      Found: 420   Missing: 5
+hr.js      Found: 420   Missing: 5
+hu.js      Found: 411   Missing: 14
+it.js      Found: 410   Missing: 15
+ja.js      Found: 420   Missing: 5
+km.js      Found: 370   Missing: 55
+ko.js      Found: 390   Missing: 35
+lt.js      Found: 376   Missing: 49
+lv.js      Found: 381   Missing: 44
+mn.js      Found: 411   Missing: 14
+ms.js      Found: 352   Missing: 73
+nb.js      Found: 414   Missing: 11
+nl.js      Found: 420   Missing: 5
+no.js      Found: 414   Missing: 11
+pl.js      Found: 411   Missing: 14
+pt-br.js   Found: 411   Missing: 14
+pt.js      Found: 381   Missing: 44
+ro.js      Found: 410   Missing: 15
+ru.js      Found: 411   Missing: 14
+sk.js      Found: 396   Missing: 29
+sl.js      Found: 411   Missing: 14
+sr-latn.js Found: 368   Missing: 57
+sr.js      Found: 368   Missing: 57
+sv.js      Found: 409   Missing: 16
+th.js      Found: 393   Missing: 32
+tr.js      Found: 396   Missing: 29
+uk.js      Found: 397   Missing: 28
+vi.js      Found: 419   Missing: 6
+zh-cn.js   Found: 420   Missing: 5
+zh.js      Found: 420   Missing: 5
Index: FCKeditor/trunk/editor/lang/af.js
===================================================================
--- FCKeditor/trunk/editor/lang/af.js	(revision 2361)
+++ FCKeditor/trunk/editor/lang/af.js	(revision 2362)
@@ -309,4 +309,9 @@
 DlgTableCaption		: "Beskreiwing",
 DlgTableSummary		: "Opsomming",
+DlgTableHeaders		: "Headers",	//MISSING
+DlgTableHeadersNone		: "None",	//MISSING
+DlgTableHeadersColumn	: "First column",	//MISSING
+DlgTableHeadersRow		: "First Row",	//MISSING
+DlgTableHeadersBoth		: "Both",	//MISSING
 
 // Table Cell Dialog
Index: FCKeditor/trunk/editor/lang/ar.js
===================================================================
--- FCKeditor/trunk/editor/lang/ar.js	(revision 2361)
+++ FCKeditor/trunk/editor/lang/ar.js	(revision 2362)
@@ -309,4 +309,9 @@
 DlgTableCaption		: "الوصف",
 DlgTableSummary		: "الخلاصة",
+DlgTableHeaders		: "Headers",	//MISSING
+DlgTableHeadersNone		: "None",	//MISSING
+DlgTableHeadersColumn	: "First column",	//MISSING
+DlgTableHeadersRow		: "First Row",	//MISSING
+DlgTableHeadersBoth		: "Both",	//MISSING
 
 // Table Cell Dialog
Index: FCKeditor/trunk/editor/lang/bg.js
===================================================================
--- FCKeditor/trunk/editor/lang/bg.js	(revision 2361)
+++ FCKeditor/trunk/editor/lang/bg.js	(revision 2362)
@@ -309,4 +309,9 @@
 DlgTableCaption		: "Заглавие",
 DlgTableSummary		: "Резюме",
+DlgTableHeaders		: "Headers",	//MISSING
+DlgTableHeadersNone		: "None",	//MISSING
+DlgTableHeadersColumn	: "First column",	//MISSING
+DlgTableHeadersRow		: "First Row",	//MISSING
+DlgTableHeadersBoth		: "Both",	//MISSING
 
 // Table Cell Dialog
Index: FCKeditor/trunk/editor/lang/bn.js
===================================================================
--- FCKeditor/trunk/editor/lang/bn.js	(revision 2361)
+++ FCKeditor/trunk/editor/lang/bn.js	(revision 2362)
@@ -309,4 +309,9 @@
 DlgTableCaption		: "শীর্ষক",
 DlgTableSummary		: "সারাংশ",
+DlgTableHeaders		: "Headers",	//MISSING
+DlgTableHeadersNone		: "None",	//MISSING
+DlgTableHeadersColumn	: "First column",	//MISSING
+DlgTableHeadersRow		: "First Row",	//MISSING
+DlgTableHeadersBoth		: "Both",	//MISSING
 
 // Table Cell Dialog
Index: FCKeditor/trunk/editor/lang/bs.js
===================================================================
--- FCKeditor/trunk/editor/lang/bs.js	(revision 2361)
+++ FCKeditor/trunk/editor/lang/bs.js	(revision 2362)
@@ -309,4 +309,9 @@
 DlgTableCaption		: "Naslov",
 DlgTableSummary		: "Summary",	//MISSING
+DlgTableHeaders		: "Headers",	//MISSING
+DlgTableHeadersNone		: "None",	//MISSING
+DlgTableHeadersColumn	: "First column",	//MISSING
+DlgTableHeadersRow		: "First Row",	//MISSING
+DlgTableHeadersBoth		: "Both",	//MISSING
 
 // Table Cell Dialog
Index: FCKeditor/trunk/editor/lang/ca.js
===================================================================
--- FCKeditor/trunk/editor/lang/ca.js	(revision 2361)
+++ FCKeditor/trunk/editor/lang/ca.js	(revision 2362)
@@ -309,4 +309,9 @@
 DlgTableCaption		: "Títol",
 DlgTableSummary		: "Resum",
+DlgTableHeaders		: "Headers",	//MISSING
+DlgTableHeadersNone		: "None",	//MISSING
+DlgTableHeadersColumn	: "First column",	//MISSING
+DlgTableHeadersRow		: "First Row",	//MISSING
+DlgTableHeadersBoth		: "Both",	//MISSING
 
 // Table Cell Dialog
Index: FCKeditor/trunk/editor/lang/cs.js
===================================================================
--- FCKeditor/trunk/editor/lang/cs.js	(revision 2361)
+++ FCKeditor/trunk/editor/lang/cs.js	(revision 2362)
@@ -309,4 +309,9 @@
 DlgTableCaption		: "Popis",
 DlgTableSummary		: "Souhrn",
+DlgTableHeaders		: "Headers",	//MISSING
+DlgTableHeadersNone		: "None",	//MISSING
+DlgTableHeadersColumn	: "First column",	//MISSING
+DlgTableHeadersRow		: "First Row",	//MISSING
+DlgTableHeadersBoth		: "Both",	//MISSING
 
 // Table Cell Dialog
Index: FCKeditor/trunk/editor/lang/da.js
===================================================================
--- FCKeditor/trunk/editor/lang/da.js	(revision 2361)
+++ FCKeditor/trunk/editor/lang/da.js	(revision 2362)
@@ -309,4 +309,9 @@
 DlgTableCaption		: "Titel",
 DlgTableSummary		: "Resume",
+DlgTableHeaders		: "Headers",	//MISSING
+DlgTableHeadersNone		: "None",	//MISSING
+DlgTableHeadersColumn	: "First column",	//MISSING
+DlgTableHeadersRow		: "First Row",	//MISSING
+DlgTableHeadersBoth		: "Both",	//MISSING
 
 // Table Cell Dialog
Index: FCKeditor/trunk/editor/lang/de.js
===================================================================
--- FCKeditor/trunk/editor/lang/de.js	(revision 2361)
+++ FCKeditor/trunk/editor/lang/de.js	(revision 2362)
@@ -309,4 +309,9 @@
 DlgTableCaption		: "Überschrift",
 DlgTableSummary		: "Inhaltsübersicht",
+DlgTableHeaders		: "Headers",	//MISSING
+DlgTableHeadersNone		: "None",	//MISSING
+DlgTableHeadersColumn	: "First column",	//MISSING
+DlgTableHeadersRow		: "First Row",	//MISSING
+DlgTableHeadersBoth		: "Both",	//MISSING
 
 // Table Cell Dialog
Index: FCKeditor/trunk/editor/lang/el.js
===================================================================
--- FCKeditor/trunk/editor/lang/el.js	(revision 2361)
+++ FCKeditor/trunk/editor/lang/el.js	(revision 2362)
@@ -309,4 +309,9 @@
 DlgTableCaption		: "Υπέρτιτλος",
 DlgTableSummary		: "Περίληψη",
+DlgTableHeaders		: "Headers",	//MISSING
+DlgTableHeadersNone		: "None",	//MISSING
+DlgTableHeadersColumn	: "First column",	//MISSING
+DlgTableHeadersRow		: "First Row",	//MISSING
+DlgTableHeadersBoth		: "Both",	//MISSING
 
 // Table Cell Dialog
Index: FCKeditor/trunk/editor/lang/en-au.js
===================================================================
--- FCKeditor/trunk/editor/lang/en-au.js	(revision 2361)
+++ FCKeditor/trunk/editor/lang/en-au.js	(revision 2362)
@@ -309,4 +309,9 @@
 DlgTableCaption		: "Caption",
 DlgTableSummary		: "Summary",
+DlgTableHeaders		: "Headers",	//MISSING
+DlgTableHeadersNone		: "None",	//MISSING
+DlgTableHeadersColumn	: "First column",	//MISSING
+DlgTableHeadersRow		: "First Row",	//MISSING
+DlgTableHeadersBoth		: "Both",	//MISSING
 
 // Table Cell Dialog
Index: FCKeditor/trunk/editor/lang/en-ca.js
===================================================================
--- FCKeditor/trunk/editor/lang/en-ca.js	(revision 2361)
+++ FCKeditor/trunk/editor/lang/en-ca.js	(revision 2362)
@@ -309,4 +309,9 @@
 DlgTableCaption		: "Caption",
 DlgTableSummary		: "Summary",
+DlgTableHeaders		: "Headers",	//MISSING
+DlgTableHeadersNone		: "None",	//MISSING
+DlgTableHeadersColumn	: "First column",	//MISSING
+DlgTableHeadersRow		: "First Row",	//MISSING
+DlgTableHeadersBoth		: "Both",	//MISSING
 
 // Table Cell Dialog
Index: FCKeditor/trunk/editor/lang/en-uk.js
===================================================================
--- FCKeditor/trunk/editor/lang/en-uk.js	(revision 2361)
+++ FCKeditor/trunk/editor/lang/en-uk.js	(revision 2362)
@@ -309,4 +309,9 @@
 DlgTableCaption		: "Caption",
 DlgTableSummary		: "Summary",
+DlgTableHeaders		: "Headers",	//MISSING
+DlgTableHeadersNone		: "None",	//MISSING
+DlgTableHeadersColumn	: "First column",	//MISSING
+DlgTableHeadersRow		: "First Row",	//MISSING
+DlgTableHeadersBoth		: "Both",	//MISSING
 
 // Table Cell Dialog
Index: FCKeditor/trunk/editor/lang/en.js
===================================================================
--- FCKeditor/trunk/editor/lang/en.js	(revision 2361)
+++ FCKeditor/trunk/editor/lang/en.js	(revision 2362)
@@ -309,4 +309,9 @@
 DlgTableCaption		: "Caption",
 DlgTableSummary		: "Summary",
+DlgTableHeaders		: "Headers",
+DlgTableHeadersNone		: "None",
+DlgTableHeadersColumn	: "First column",
+DlgTableHeadersRow		: "First Row",
+DlgTableHeadersBoth		: "Both",
 
 // Table Cell Dialog
Index: FCKeditor/trunk/editor/lang/eo.js
===================================================================
--- FCKeditor/trunk/editor/lang/eo.js	(revision 2361)
+++ FCKeditor/trunk/editor/lang/eo.js	(revision 2362)
@@ -309,4 +309,9 @@
 DlgTableCaption		: "Titolo",
 DlgTableSummary		: "Summary",	//MISSING
+DlgTableHeaders		: "Headers",	//MISSING
+DlgTableHeadersNone		: "None",	//MISSING
+DlgTableHeadersColumn	: "First column",	//MISSING
+DlgTableHeadersRow		: "First Row",	//MISSING
+DlgTableHeadersBoth		: "Both",	//MISSING
 
 // Table Cell Dialog
Index: FCKeditor/trunk/editor/lang/es.js
===================================================================
--- FCKeditor/trunk/editor/lang/es.js	(revision 2361)
+++ FCKeditor/trunk/editor/lang/es.js	(revision 2362)
@@ -309,4 +309,9 @@
 DlgTableCaption		: "Título",
 DlgTableSummary		: "Síntesis",
+DlgTableHeaders		: "Encabezados",
+DlgTableHeadersNone		: "Ninguno",
+DlgTableHeadersColumn	: "Primera columna",
+DlgTableHeadersRow		: "Primera fila",
+DlgTableHeadersBoth		: "Ambas",
 
 // Table Cell Dialog
Index: FCKeditor/trunk/editor/lang/et.js
===================================================================
--- FCKeditor/trunk/editor/lang/et.js	(revision 2361)
+++ FCKeditor/trunk/editor/lang/et.js	(revision 2362)
@@ -309,4 +309,9 @@
 DlgTableCaption		: "Tabeli tiitel",
 DlgTableSummary		: "Kokkuvõte",
+DlgTableHeaders		: "Headers",	//MISSING
+DlgTableHeadersNone		: "None",	//MISSING
+DlgTableHeadersColumn	: "First column",	//MISSING
+DlgTableHeadersRow		: "First Row",	//MISSING
+DlgTableHeadersBoth		: "Both",	//MISSING
 
 // Table Cell Dialog
Index: FCKeditor/trunk/editor/lang/eu.js
===================================================================
--- FCKeditor/trunk/editor/lang/eu.js	(revision 2361)
+++ FCKeditor/trunk/editor/lang/eu.js	(revision 2362)
@@ -310,4 +310,9 @@
 DlgTableCaption		: "Epigrafea",
 DlgTableSummary		: "Laburpena",
+DlgTableHeaders		: "Headers",	//MISSING
+DlgTableHeadersNone		: "None",	//MISSING
+DlgTableHeadersColumn	: "First column",	//MISSING
+DlgTableHeadersRow		: "First Row",	//MISSING
+DlgTableHeadersBoth		: "Both",	//MISSING
 
 // Table Cell Dialog
Index: FCKeditor/trunk/editor/lang/fa.js
===================================================================
--- FCKeditor/trunk/editor/lang/fa.js	(revision 2361)
+++ FCKeditor/trunk/editor/lang/fa.js	(revision 2362)
@@ -309,4 +309,9 @@
 DlgTableCaption		: "عنوان",
 DlgTableSummary		: "خلاصه",
+DlgTableHeaders		: "Headers",	//MISSING
+DlgTableHeadersNone		: "None",	//MISSING
+DlgTableHeadersColumn	: "First column",	//MISSING
+DlgTableHeadersRow		: "First Row",	//MISSING
+DlgTableHeadersBoth		: "Both",	//MISSING
 
 // Table Cell Dialog
Index: FCKeditor/trunk/editor/lang/fi.js
===================================================================
--- FCKeditor/trunk/editor/lang/fi.js	(revision 2361)
+++ FCKeditor/trunk/editor/lang/fi.js	(revision 2362)
@@ -309,4 +309,9 @@
 DlgTableCaption		: "Otsikko",
 DlgTableSummary		: "Yhteenveto",
+DlgTableHeaders		: "Headers",	//MISSING
+DlgTableHeadersNone		: "None",	//MISSING
+DlgTableHeadersColumn	: "First column",	//MISSING
+DlgTableHeadersRow		: "First Row",	//MISSING
+DlgTableHeadersBoth		: "Both",	//MISSING
 
 // Table Cell Dialog
Index: FCKeditor/trunk/editor/lang/fo.js
===================================================================
--- FCKeditor/trunk/editor/lang/fo.js	(revision 2361)
+++ FCKeditor/trunk/editor/lang/fo.js	(revision 2362)
@@ -309,4 +309,9 @@
 DlgTableCaption		: "Tabellfrágreiðing",
 DlgTableSummary		: "Samandráttur",
+DlgTableHeaders		: "Headers",	//MISSING
+DlgTableHeadersNone		: "None",	//MISSING
+DlgTableHeadersColumn	: "First column",	//MISSING
+DlgTableHeadersRow		: "First Row",	//MISSING
+DlgTableHeadersBoth		: "Both",	//MISSING
 
 // Table Cell Dialog
Index: FCKeditor/trunk/editor/lang/fr-ca.js
===================================================================
--- FCKeditor/trunk/editor/lang/fr-ca.js	(revision 2361)
+++ FCKeditor/trunk/editor/lang/fr-ca.js	(revision 2362)
@@ -309,4 +309,9 @@
 DlgTableCaption		: "Titre",
 DlgTableSummary		: "Résumé",
+DlgTableHeaders		: "Headers",	//MISSING
+DlgTableHeadersNone		: "None",	//MISSING
+DlgTableHeadersColumn	: "First column",	//MISSING
+DlgTableHeadersRow		: "First Row",	//MISSING
+DlgTableHeadersBoth		: "Both",	//MISSING
 
 // Table Cell Dialog
Index: FCKeditor/trunk/editor/lang/fr.js
===================================================================
--- FCKeditor/trunk/editor/lang/fr.js	(revision 2361)
+++ FCKeditor/trunk/editor/lang/fr.js	(revision 2362)
@@ -309,4 +309,9 @@
 DlgTableCaption		: "Titre",
 DlgTableSummary		: "Résumé",
+DlgTableHeaders		: "Headers",	//MISSING
+DlgTableHeadersNone		: "None",	//MISSING
+DlgTableHeadersColumn	: "First column",	//MISSING
+DlgTableHeadersRow		: "First Row",	//MISSING
+DlgTableHeadersBoth		: "Both",	//MISSING
 
 // Table Cell Dialog
Index: FCKeditor/trunk/editor/lang/gl.js
===================================================================
--- FCKeditor/trunk/editor/lang/gl.js	(revision 2361)
+++ FCKeditor/trunk/editor/lang/gl.js	(revision 2362)
@@ -309,4 +309,9 @@
 DlgTableCaption		: "Título",
 DlgTableSummary		: "Sumario",
+DlgTableHeaders		: "Headers",	//MISSING
+DlgTableHeadersNone		: "None",	//MISSING
+DlgTableHeadersColumn	: "First column",	//MISSING
+DlgTableHeadersRow		: "First Row",	//MISSING
+DlgTableHeadersBoth		: "Both",	//MISSING
 
 // Table Cell Dialog
Index: FCKeditor/trunk/editor/lang/gu.js
===================================================================
--- FCKeditor/trunk/editor/lang/gu.js	(revision 2361)
+++ FCKeditor/trunk/editor/lang/gu.js	(revision 2362)
@@ -309,4 +309,9 @@
 DlgTableCaption		: "મથાળું/કૅપ્શન ",
 DlgTableSummary		: "ટૂંકો એહેવાલ",
+DlgTableHeaders		: "Headers",	//MISSING
+DlgTableHeadersNone		: "None",	//MISSING
+DlgTableHeadersColumn	: "First column",	//MISSING
+DlgTableHeadersRow		: "First Row",	//MISSING
+DlgTableHeadersBoth		: "Both",	//MISSING
 
 // Table Cell Dialog
Index: FCKeditor/trunk/editor/lang/he.js
===================================================================
--- FCKeditor/trunk/editor/lang/he.js	(revision 2361)
+++ FCKeditor/trunk/editor/lang/he.js	(revision 2362)
@@ -309,4 +309,9 @@
 DlgTableCaption		: "כיתוב",
 DlgTableSummary		: "סיכום",
+DlgTableHeaders		: "Headers",	//MISSING
+DlgTableHeadersNone		: "None",	//MISSING
+DlgTableHeadersColumn	: "First column",	//MISSING
+DlgTableHeadersRow		: "First Row",	//MISSING
+DlgTableHeadersBoth		: "Both",	//MISSING
 
 // Table Cell Dialog
Index: FCKeditor/trunk/editor/lang/hi.js
===================================================================
--- FCKeditor/trunk/editor/lang/hi.js	(revision 2361)
+++ FCKeditor/trunk/editor/lang/hi.js	(revision 2362)
@@ -309,4 +309,9 @@
 DlgTableCaption		: "शीर्षक",
 DlgTableSummary		: "सारांश",
+DlgTableHeaders		: "Headers",	//MISSING
+DlgTableHeadersNone		: "None",	//MISSING
+DlgTableHeadersColumn	: "First column",	//MISSING
+DlgTableHeadersRow		: "First Row",	//MISSING
+DlgTableHeadersBoth		: "Both",	//MISSING
 
 // Table Cell Dialog
Index: FCKeditor/trunk/editor/lang/hr.js
===================================================================
--- FCKeditor/trunk/editor/lang/hr.js	(revision 2361)
+++ FCKeditor/trunk/editor/lang/hr.js	(revision 2362)
@@ -309,4 +309,9 @@
 DlgTableCaption		: "Naslov",
 DlgTableSummary		: "Sažetak",
+DlgTableHeaders		: "Headers",	//MISSING
+DlgTableHeadersNone		: "None",	//MISSING
+DlgTableHeadersColumn	: "First column",	//MISSING
+DlgTableHeadersRow		: "First Row",	//MISSING
+DlgTableHeadersBoth		: "Both",	//MISSING
 
 // Table Cell Dialog
Index: FCKeditor/trunk/editor/lang/hu.js
===================================================================
--- FCKeditor/trunk/editor/lang/hu.js	(revision 2361)
+++ FCKeditor/trunk/editor/lang/hu.js	(revision 2362)
@@ -309,4 +309,9 @@
 DlgTableCaption		: "Felirat",
 DlgTableSummary		: "Leírás",
+DlgTableHeaders		: "Headers",	//MISSING
+DlgTableHeadersNone		: "None",	//MISSING
+DlgTableHeadersColumn	: "First column",	//MISSING
+DlgTableHeadersRow		: "First Row",	//MISSING
+DlgTableHeadersBoth		: "Both",	//MISSING
 
 // Table Cell Dialog
Index: FCKeditor/trunk/editor/lang/it.js
===================================================================
--- FCKeditor/trunk/editor/lang/it.js	(revision 2361)
+++ FCKeditor/trunk/editor/lang/it.js	(revision 2362)
@@ -309,4 +309,9 @@
 DlgTableCaption		: "Intestazione",
 DlgTableSummary		: "Indice",
+DlgTableHeaders		: "Headers",	//MISSING
+DlgTableHeadersNone		: "None",	//MISSING
+DlgTableHeadersColumn	: "First column",	//MISSING
+DlgTableHeadersRow		: "First Row",	//MISSING
+DlgTableHeadersBoth		: "Both",	//MISSING
 
 // Table Cell Dialog
Index: FCKeditor/trunk/editor/lang/ja.js
===================================================================
--- FCKeditor/trunk/editor/lang/ja.js	(revision 2361)
+++ FCKeditor/trunk/editor/lang/ja.js	(revision 2362)
@@ -309,4 +309,9 @@
 DlgTableCaption		: "ｷｬﾌﾟｼｮﾝ",
 DlgTableSummary		: "テーブル目的/構造",
+DlgTableHeaders		: "Headers",	//MISSING
+DlgTableHeadersNone		: "None",	//MISSING
+DlgTableHeadersColumn	: "First column",	//MISSING
+DlgTableHeadersRow		: "First Row",	//MISSING
+DlgTableHeadersBoth		: "Both",	//MISSING
 
 // Table Cell Dialog
Index: FCKeditor/trunk/editor/lang/km.js
===================================================================
--- FCKeditor/trunk/editor/lang/km.js	(revision 2361)
+++ FCKeditor/trunk/editor/lang/km.js	(revision 2362)
@@ -309,4 +309,9 @@
 DlgTableCaption		: "ចំណងជើង",
 DlgTableSummary		: "សេចក្តីសង្ខេប",
+DlgTableHeaders		: "Headers",	//MISSING
+DlgTableHeadersNone		: "None",	//MISSING
+DlgTableHeadersColumn	: "First column",	//MISSING
+DlgTableHeadersRow		: "First Row",	//MISSING
+DlgTableHeadersBoth		: "Both",	//MISSING
 
 // Table Cell Dialog
Index: FCKeditor/trunk/editor/lang/ko.js
===================================================================
--- FCKeditor/trunk/editor/lang/ko.js	(revision 2361)
+++ FCKeditor/trunk/editor/lang/ko.js	(revision 2362)
@@ -309,4 +309,9 @@
 DlgTableCaption		: "캡션",
 DlgTableSummary		: "Summary",	//MISSING
+DlgTableHeaders		: "Headers",	//MISSING
+DlgTableHeadersNone		: "None",	//MISSING
+DlgTableHeadersColumn	: "First column",	//MISSING
+DlgTableHeadersRow		: "First Row",	//MISSING
+DlgTableHeadersBoth		: "Both",	//MISSING
 
 // Table Cell Dialog
Index: FCKeditor/trunk/editor/lang/lt.js
===================================================================
--- FCKeditor/trunk/editor/lang/lt.js	(revision 2361)
+++ FCKeditor/trunk/editor/lang/lt.js	(revision 2362)
@@ -309,4 +309,9 @@
 DlgTableCaption		: "Antraštė",
 DlgTableSummary		: "Santrauka",
+DlgTableHeaders		: "Headers",	//MISSING
+DlgTableHeadersNone		: "None",	//MISSING
+DlgTableHeadersColumn	: "First column",	//MISSING
+DlgTableHeadersRow		: "First Row",	//MISSING
+DlgTableHeadersBoth		: "Both",	//MISSING
 
 // Table Cell Dialog
Index: FCKeditor/trunk/editor/lang/lv.js
===================================================================
--- FCKeditor/trunk/editor/lang/lv.js	(revision 2361)
+++ FCKeditor/trunk/editor/lang/lv.js	(revision 2362)
@@ -309,4 +309,9 @@
 DlgTableCaption		: "Leģenda",
 DlgTableSummary		: "Anotācija",
+DlgTableHeaders		: "Headers",	//MISSING
+DlgTableHeadersNone		: "None",	//MISSING
+DlgTableHeadersColumn	: "First column",	//MISSING
+DlgTableHeadersRow		: "First Row",	//MISSING
+DlgTableHeadersBoth		: "Both",	//MISSING
 
 // Table Cell Dialog
Index: FCKeditor/trunk/editor/lang/mn.js
===================================================================
--- FCKeditor/trunk/editor/lang/mn.js	(revision 2361)
+++ FCKeditor/trunk/editor/lang/mn.js	(revision 2362)
@@ -309,4 +309,9 @@
 DlgTableCaption		: "Тайлбар",
 DlgTableSummary		: "Тайлбар",
+DlgTableHeaders		: "Headers",	//MISSING
+DlgTableHeadersNone		: "None",	//MISSING
+DlgTableHeadersColumn	: "First column",	//MISSING
+DlgTableHeadersRow		: "First Row",	//MISSING
+DlgTableHeadersBoth		: "Both",	//MISSING
 
 // Table Cell Dialog
Index: FCKeditor/trunk/editor/lang/ms.js
===================================================================
--- FCKeditor/trunk/editor/lang/ms.js	(revision 2361)
+++ FCKeditor/trunk/editor/lang/ms.js	(revision 2362)
@@ -309,4 +309,9 @@
 DlgTableCaption		: "Keterangan",
 DlgTableSummary		: "Summary",	//MISSING
+DlgTableHeaders		: "Headers",	//MISSING
+DlgTableHeadersNone		: "None",	//MISSING
+DlgTableHeadersColumn	: "First column",	//MISSING
+DlgTableHeadersRow		: "First Row",	//MISSING
+DlgTableHeadersBoth		: "Both",	//MISSING
 
 // Table Cell Dialog
Index: FCKeditor/trunk/editor/lang/nb.js
===================================================================
--- FCKeditor/trunk/editor/lang/nb.js	(revision 2361)
+++ FCKeditor/trunk/editor/lang/nb.js	(revision 2362)
@@ -309,4 +309,9 @@
 DlgTableCaption		: "Tittel",
 DlgTableSummary		: "Sammendrag",
+DlgTableHeaders		: "Headers",	//MISSING
+DlgTableHeadersNone		: "None",	//MISSING
+DlgTableHeadersColumn	: "First column",	//MISSING
+DlgTableHeadersRow		: "First Row",	//MISSING
+DlgTableHeadersBoth		: "Both",	//MISSING
 
 // Table Cell Dialog
Index: FCKeditor/trunk/editor/lang/nl.js
===================================================================
--- FCKeditor/trunk/editor/lang/nl.js	(revision 2361)
+++ FCKeditor/trunk/editor/lang/nl.js	(revision 2362)
@@ -309,4 +309,9 @@
 DlgTableCaption		: "Naam",
 DlgTableSummary		: "Samenvatting",
+DlgTableHeaders		: "Headers",	//MISSING
+DlgTableHeadersNone		: "None",	//MISSING
+DlgTableHeadersColumn	: "First column",	//MISSING
+DlgTableHeadersRow		: "First Row",	//MISSING
+DlgTableHeadersBoth		: "Both",	//MISSING
 
 // Table Cell Dialog
Index: FCKeditor/trunk/editor/lang/no.js
===================================================================
--- FCKeditor/trunk/editor/lang/no.js	(revision 2361)
+++ FCKeditor/trunk/editor/lang/no.js	(revision 2362)
@@ -309,4 +309,9 @@
 DlgTableCaption		: "Tittel",
 DlgTableSummary		: "Sammendrag",
+DlgTableHeaders		: "Headers",	//MISSING
+DlgTableHeadersNone		: "None",	//MISSING
+DlgTableHeadersColumn	: "First column",	//MISSING
+DlgTableHeadersRow		: "First Row",	//MISSING
+DlgTableHeadersBoth		: "Both",	//MISSING
 
 // Table Cell Dialog
Index: FCKeditor/trunk/editor/lang/pl.js
===================================================================
--- FCKeditor/trunk/editor/lang/pl.js	(revision 2361)
+++ FCKeditor/trunk/editor/lang/pl.js	(revision 2362)
@@ -309,4 +309,9 @@
 DlgTableCaption		: "Tytuł",
 DlgTableSummary		: "Podsumowanie",
+DlgTableHeaders		: "Headers",	//MISSING
+DlgTableHeadersNone		: "None",	//MISSING
+DlgTableHeadersColumn	: "First column",	//MISSING
+DlgTableHeadersRow		: "First Row",	//MISSING
+DlgTableHeadersBoth		: "Both",	//MISSING
 
 // Table Cell Dialog
Index: FCKeditor/trunk/editor/lang/pt-br.js
===================================================================
--- FCKeditor/trunk/editor/lang/pt-br.js	(revision 2361)
+++ FCKeditor/trunk/editor/lang/pt-br.js	(revision 2362)
@@ -309,4 +309,9 @@
 DlgTableCaption		: "Legenda",
 DlgTableSummary		: "Resumo",
+DlgTableHeaders		: "Headers",	//MISSING
+DlgTableHeadersNone		: "None",	//MISSING
+DlgTableHeadersColumn	: "First column",	//MISSING
+DlgTableHeadersRow		: "First Row",	//MISSING
+DlgTableHeadersBoth		: "Both",	//MISSING
 
 // Table Cell Dialog
Index: FCKeditor/trunk/editor/lang/pt.js
===================================================================
--- FCKeditor/trunk/editor/lang/pt.js	(revision 2361)
+++ FCKeditor/trunk/editor/lang/pt.js	(revision 2362)
@@ -309,4 +309,9 @@
 DlgTableCaption		: "Título",
 DlgTableSummary		: "Sumário",
+DlgTableHeaders		: "Headers",	//MISSING
+DlgTableHeadersNone		: "None",	//MISSING
+DlgTableHeadersColumn	: "First column",	//MISSING
+DlgTableHeadersRow		: "First Row",	//MISSING
+DlgTableHeadersBoth		: "Both",	//MISSING
 
 // Table Cell Dialog
Index: FCKeditor/trunk/editor/lang/ro.js
===================================================================
--- FCKeditor/trunk/editor/lang/ro.js	(revision 2361)
+++ FCKeditor/trunk/editor/lang/ro.js	(revision 2362)
@@ -309,4 +309,9 @@
 DlgTableCaption		: "Titlu (Caption)",
 DlgTableSummary		: "Rezumat",
+DlgTableHeaders		: "Headers",	//MISSING
+DlgTableHeadersNone		: "None",	//MISSING
+DlgTableHeadersColumn	: "First column",	//MISSING
+DlgTableHeadersRow		: "First Row",	//MISSING
+DlgTableHeadersBoth		: "Both",	//MISSING
 
 // Table Cell Dialog
Index: FCKeditor/trunk/editor/lang/ru.js
===================================================================
--- FCKeditor/trunk/editor/lang/ru.js	(revision 2361)
+++ FCKeditor/trunk/editor/lang/ru.js	(revision 2362)
@@ -309,4 +309,9 @@
 DlgTableCaption		: "Заголовок",
 DlgTableSummary		: "Резюме",
+DlgTableHeaders		: "Headers",	//MISSING
+DlgTableHeadersNone		: "None",	//MISSING
+DlgTableHeadersColumn	: "First column",	//MISSING
+DlgTableHeadersRow		: "First Row",	//MISSING
+DlgTableHeadersBoth		: "Both",	//MISSING
 
 // Table Cell Dialog
Index: FCKeditor/trunk/editor/lang/sk.js
===================================================================
--- FCKeditor/trunk/editor/lang/sk.js	(revision 2361)
+++ FCKeditor/trunk/editor/lang/sk.js	(revision 2362)
@@ -309,4 +309,9 @@
 DlgTableCaption		: "Popis",
 DlgTableSummary		: "Prehľad",
+DlgTableHeaders		: "Headers",	//MISSING
+DlgTableHeadersNone		: "None",	//MISSING
+DlgTableHeadersColumn	: "First column",	//MISSING
+DlgTableHeadersRow		: "First Row",	//MISSING
+DlgTableHeadersBoth		: "Both",	//MISSING
 
 // Table Cell Dialog
Index: FCKeditor/trunk/editor/lang/sl.js
===================================================================
--- FCKeditor/trunk/editor/lang/sl.js	(revision 2361)
+++ FCKeditor/trunk/editor/lang/sl.js	(revision 2362)
@@ -309,4 +309,9 @@
 DlgTableCaption		: "Naslov",
 DlgTableSummary		: "Povzetek",
+DlgTableHeaders		: "Headers",	//MISSING
+DlgTableHeadersNone		: "None",	//MISSING
+DlgTableHeadersColumn	: "First column",	//MISSING
+DlgTableHeadersRow		: "First Row",	//MISSING
+DlgTableHeadersBoth		: "Both",	//MISSING
 
 // Table Cell Dialog
Index: FCKeditor/trunk/editor/lang/sr-latn.js
===================================================================
--- FCKeditor/trunk/editor/lang/sr-latn.js	(revision 2361)
+++ FCKeditor/trunk/editor/lang/sr-latn.js	(revision 2362)
@@ -309,4 +309,9 @@
 DlgTableCaption		: "Naslov tabele",
 DlgTableSummary		: "Summary",	//MISSING
+DlgTableHeaders		: "Headers",	//MISSING
+DlgTableHeadersNone		: "None",	//MISSING
+DlgTableHeadersColumn	: "First column",	//MISSING
+DlgTableHeadersRow		: "First Row",	//MISSING
+DlgTableHeadersBoth		: "Both",	//MISSING
 
 // Table Cell Dialog
Index: FCKeditor/trunk/editor/lang/sr.js
===================================================================
--- FCKeditor/trunk/editor/lang/sr.js	(revision 2361)
+++ FCKeditor/trunk/editor/lang/sr.js	(revision 2362)
@@ -309,4 +309,9 @@
 DlgTableCaption		: "Наслов табеле",
 DlgTableSummary		: "Summary",	//MISSING
+DlgTableHeaders		: "Headers",	//MISSING
+DlgTableHeadersNone		: "None",	//MISSING
+DlgTableHeadersColumn	: "First column",	//MISSING
+DlgTableHeadersRow		: "First Row",	//MISSING
+DlgTableHeadersBoth		: "Both",	//MISSING
 
 // Table Cell Dialog
Index: FCKeditor/trunk/editor/lang/sv.js
===================================================================
--- FCKeditor/trunk/editor/lang/sv.js	(revision 2361)
+++ FCKeditor/trunk/editor/lang/sv.js	(revision 2362)
@@ -309,4 +309,9 @@
 DlgTableCaption		: "Rubrik",
 DlgTableSummary		: "Sammanfattning",
+DlgTableHeaders		: "Headers",	//MISSING
+DlgTableHeadersNone		: "None",	//MISSING
+DlgTableHeadersColumn	: "First column",	//MISSING
+DlgTableHeadersRow		: "First Row",	//MISSING
+DlgTableHeadersBoth		: "Both",	//MISSING
 
 // Table Cell Dialog
Index: FCKeditor/trunk/editor/lang/th.js
===================================================================
--- FCKeditor/trunk/editor/lang/th.js	(revision 2361)
+++ FCKeditor/trunk/editor/lang/th.js	(revision 2362)
@@ -309,4 +309,9 @@
 DlgTableCaption		: "หัวเรื่องของตาราง",
 DlgTableSummary		: "สรุปความ",
+DlgTableHeaders		: "Headers",	//MISSING
+DlgTableHeadersNone		: "None",	//MISSING
+DlgTableHeadersColumn	: "First column",	//MISSING
+DlgTableHeadersRow		: "First Row",	//MISSING
+DlgTableHeadersBoth		: "Both",	//MISSING
 
 // Table Cell Dialog
Index: FCKeditor/trunk/editor/lang/tr.js
===================================================================
--- FCKeditor/trunk/editor/lang/tr.js	(revision 2361)
+++ FCKeditor/trunk/editor/lang/tr.js	(revision 2362)
@@ -309,4 +309,9 @@
 DlgTableCaption		: "Başlık",
 DlgTableSummary		: "Özet",
+DlgTableHeaders		: "Headers",	//MISSING
+DlgTableHeadersNone		: "None",	//MISSING
+DlgTableHeadersColumn	: "First column",	//MISSING
+DlgTableHeadersRow		: "First Row",	//MISSING
+DlgTableHeadersBoth		: "Both",	//MISSING
 
 // Table Cell Dialog
Index: FCKeditor/trunk/editor/lang/uk.js
===================================================================
--- FCKeditor/trunk/editor/lang/uk.js	(revision 2361)
+++ FCKeditor/trunk/editor/lang/uk.js	(revision 2362)
@@ -309,4 +309,9 @@
 DlgTableCaption		: "Заголовок",
 DlgTableSummary		: "Резюме",
+DlgTableHeaders		: "Headers",	//MISSING
+DlgTableHeadersNone		: "None",	//MISSING
+DlgTableHeadersColumn	: "First column",	//MISSING
+DlgTableHeadersRow		: "First Row",	//MISSING
+DlgTableHeadersBoth		: "Both",	//MISSING
 
 // Table Cell Dialog
Index: FCKeditor/trunk/editor/lang/vi.js
===================================================================
--- FCKeditor/trunk/editor/lang/vi.js	(revision 2361)
+++ FCKeditor/trunk/editor/lang/vi.js	(revision 2362)
@@ -309,4 +309,9 @@
 DlgTableCaption		: "Đầu đề",
 DlgTableSummary		: "Tóm lược",
+DlgTableHeaders		: "Headers",	//MISSING
+DlgTableHeadersNone		: "None",	//MISSING
+DlgTableHeadersColumn	: "First column",	//MISSING
+DlgTableHeadersRow		: "First Row",	//MISSING
+DlgTableHeadersBoth		: "Both",	//MISSING
 
 // Table Cell Dialog
Index: FCKeditor/trunk/editor/lang/zh-cn.js
===================================================================
--- FCKeditor/trunk/editor/lang/zh-cn.js	(revision 2361)
+++ FCKeditor/trunk/editor/lang/zh-cn.js	(revision 2362)
@@ -309,4 +309,9 @@
 DlgTableCaption		: "标题",
 DlgTableSummary		: "摘要",
+DlgTableHeaders		: "Headers",	//MISSING
+DlgTableHeadersNone		: "None",	//MISSING
+DlgTableHeadersColumn	: "First column",	//MISSING
+DlgTableHeadersRow		: "First Row",	//MISSING
+DlgTableHeadersBoth		: "Both",	//MISSING
 
 // Table Cell Dialog
Index: FCKeditor/trunk/editor/lang/zh.js
===================================================================
--- FCKeditor/trunk/editor/lang/zh.js	(revision 2361)
+++ FCKeditor/trunk/editor/lang/zh.js	(revision 2362)
@@ -309,4 +309,9 @@
 DlgTableCaption		: "標題",
 DlgTableSummary		: "摘要",
+DlgTableHeaders		: "Headers",	//MISSING
+DlgTableHeadersNone		: "None",	//MISSING
+DlgTableHeadersColumn	: "First column",	//MISSING
+DlgTableHeadersRow		: "First Row",	//MISSING
+DlgTableHeadersBoth		: "Both",	//MISSING
 
 // Table Cell Dialog
